1. Johan Kruize Member

    Joomla kan kopieerproblemen en ownership

    Topic geplaatst op: 21-02-2014 om 18:35

    Ik heb de laatste versie van Joomla geinstalleerd. Ik probeer nu een component te installeren vanuit de tmp map.

    Het installatieprocs heeft echter moeite met het aanamaken van een nieuwe map en het kopieren van bestanden. De mappen hebben bij mij chmod 755 en de bestanden 644. Als ik probeer het ownership van een bestand te resetten dan krijg ik een foutmelding.

    Ook het installeren vanaf een zip bestand op mijn eigenpc lukt niet. Ook niet als ik de ftp gegevens heb ingevuld. Ook dan krijg ik meldingen over niet bestaande mappen of mappen die niet aaangemaakt kunnen worden. 

    Wie kan mij helpen ?

     

     

  2. Wesley Berendsen Versio medewerker
    Reactie geplaatst op: 21-02-2014 om 23:17

    Beste,

    U kunt via de filemanager in directadmin de ownership rechten resetten van deze mappen / bestanden. als u dit op mappen doet vinkt u dan ook Recursive aan.

     

    Wesley.

    Vond u dit antwoord nuttig?

  3. Johan Kruize Member
    Reactie geplaatst op: 22-02-2014 om 10:38

    Dat is de methode die ik heb gehanteerd. Ik krijg echter de melding "An error occured while resetting the file ownership" als ik het ownershio van configuration.php wil veranderen. Het maakt daarbij niet uit welke chmod ik instel.

    Vond u dit antwoord nuttig?

  4. Johan Kruize Member
    Reactie geplaatst op: 22-02-2014 om 10:52

    Het installeren van de gewenste component is gellukt. Oorzaak lag onder andere in het feit dat er standaard gebruik gemaakt wordt van apache2handler terwijl dat volgens de deskundigen cgi-fcgi moet zijn.Dat schijnt veel problemen met rechten etc. te voorkomen.

    Alhoewel ik nog steeds niet begrijp waarom het pobleem met het resetten van het ownership blijft bestaan is mijn probleem voorlopig opgelost.

    Vond u dit antwoord nuttig?

  5. dfn Member
    Reactie geplaatst op: 18-03-2014 om 23:07

    Beste Johan,

    Mag ik vragen welke versie van php je gebruikt, volgens mij 5.3? Om over te gaan op versie 5.4 en je probleem op te lossen, plaats je het volgende in je .htaccess bestand:

    <FilesMatch "\\.php$">
    AddHandler x-httpd-php54 .php
    </FilesMatch>

    Zorg er wel voor dat je elke regel op een afzonderlijke regel in je .htaccess bestand plaatst. Laat even weten of het probleem daarmee is opgelost?

    Vond u dit antwoord nuttig?

  6. dfn Member
    Reactie geplaatst op: 18-03-2014 om 23:17

    Het forum plaats vanzelf het voorbeeld dat ik gaf verkeerd, er moet achter FilesMatch maar één slash backward staan ipv twee, mijn excuses.

    Vond u dit antwoord nuttig?